#ifndef _FUNCTIONS_H_
#define _FUNCTIONS_H_

#include <math.h>
#include <stdio.h>
#include <string.h>
#include <stdint.h>	//clock
#include <stdlib.h>

float speed_estimation(float pos_actual, float pos_anterior, float dt);
float vel_reference(float vel_alcanzada, float acel, float dt);
int32_t escalado(float value);
float PPR_to_Rad(int32_t encoder, int32_t encoder_previous);

#endif //_FUNCTIONS_H_